Last Comment Bug 659852 - Remove nsContentUtils::ReleasePtrOnShutdown
: Remove nsContentUtils::ReleasePtrOnShutdown
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 586298
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-25 20:53 PDT by Kyle Huey [:khuey] (khuey@mozilla.com)
Modified: 2011-09-12 08:49 PDT (History)
2 users (show)
mounir: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove it (1.35 KB, patch)
2011-05-25 23:30 PDT, Mounir Lamouri (:mounir)
jonas: review+
Details | Diff | Review

Description Kyle Huey [:khuey] (khuey@mozilla.com) 2011-05-25 20:53:09 PDT
Bug 586298 removed the only caller.
Comment 1 Mounir Lamouri (:mounir) 2011-05-25 23:30:30 PDT
Created attachment 535272 [details] [diff] [review]
Remove it
Comment 2 Jonas Sicking (:sicking) PTO Until July 5th 2011-05-26 08:13:04 PDT
Comment on attachment 535272 [details] [diff] [review]
Remove it

Remove all the uses of sPtrsToPtrsToRelease inside nsContentUtils.cpp as well. r=me with that.
Comment 3 Mounir Lamouri (:mounir) 2011-05-27 08:25:47 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/c24a597833ba
Comment 4 Ioana (away) 2011-09-12 08:49:19 PDT
As visible in content/base/public/nsContentUtils.h and content/base/src/nsContentUtils.cpp, nsContentUtils::ReleasePtrOnShutdown and nsContentUtils::sPtrsToPtrsToRelease have been removed.

Note You need to log in before you can comment on or make changes to this bug.